xmlrpc_decode_request
xmlrpc_encode_request
XML-RPC Functions
PHP Manual

# xmlrpc_decode

Decodes XML into native PHP types

### Description

mixed xmlrpc_decode ( string `$xml` [, string `$encoding` = "iso-8859-1" ] )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`xml`

  XML response returned by XMLRPC method.

`encoding`

  Input encoding supported by iconv.

### Return Values

Returns either an array, or an integer, or a string, or a boolean according to the response returned by the XMLRPC method.

### Examples

See example by xmlrpc_encode_request.

### See Also

- xmlrpc_encode_request
- xmlrpc_is_fault